Which operating system is compatible with PyroMark Q24 Advanced application software?
FAQ ID -3164

The new PyroMark Q24 Advanced Software (version 3.0.1) is compatible with Windows XP, Vista (32 and 64 bit), Windows 7 (32 and 64 bit), and Windows 10 (64 bit).